### File

`src/text-editor/text-editor.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `text-editor`
styleUrls | `text-editor.component.scss`
templateUrl | `./text-editor.component.html`

### Index

###### Inputs
clipboard formats history keyboard placeholder readOnly text theme toolbar
###### Outputs
onSave

### Constructor

`constructor()`

### Inputs

`clipboard` | Type: `Object` Default value: `{}`

`formats` | Type: `Array<string>`

`history` | Type: `Object` Default value: `{}`

`keyboard` | Type: `Object`

`placeholder` | Type: `string` Default value: `''`

`readOnly` | Type: `boolean` Default value: `false`

`text` | Type: `string`

`theme` | Type: `string` Default value: `'snow'`

`toolbar` | Type: `Array<Object> | Object | boolean` Default value: `true`

### Outputs

`onSave` | `$event` type: `EventEmitter<Object>`

# results matching ""

# No results matching ""